Subject: bug#51517: closed (Re: bug#51517: GNU ELPA - SVG badge broken)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 24 Nov 2021 23:05:02 +0000

Your bug report

#51517: GNU ELPA - SVG badge broken

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51517: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=51517
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51517: GNU ELPA - SVG badge broken
From: Stefan Monnier <[email-masked]>
To: Daniel Mendler <[email-masked]>
Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked], tsuucat <[email-masked]>
Date: Wed, 24 Nov 2021 18:04:34 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

> The code uses imagemagick "convert" to determine the width in pixels,
> which is font dependent. So I assume something broke on the system -
> update of the system package, or maybe imagemagick or the font was
> removed.

Somehow the font was removed, indeed.  So your crystal ball was right on
the money; sadly, I was too dense to figure out what to do with that info.

        Stefan

Subject: GNU ELPA - SVG badge broken
From: tsuucat <[email-masked]>
To: [email-masked]
Date: Sun, 31 Oct 2021 02:18:54 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Recent built packages have broken badges.

The badge from https://elpa.gnu.org/packages/vertico.html is not broken.
(vertico 0.14, updated 2021-Aug-11)

The badge from https://elpa.gnu.org/packages/consult.html is broken.
(consult 0.12, updated 2021-Oct-11)

I read the broken badge (https://elpa.gnu.org/packages/consult.svg) and 
elpa-admin.el. I suspect `elpaa--string-width` returns 0.

--
tsuucat